Skip to navigation

Get Batch Tax Code Recommendations

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Retrieves the status and results of a tax code recommendation batch for the specified company. If the batch status is “Completed”, the response includes the tax code recommendations for all items in the batch. If the batch status is “Waiting”, “Processing”, or any other non-complete status, only the status information is returned. Returns ‘404 Not Found’ if the batch has been deleted or does not exist.

Batches are automatically deleted after 1 day.

Security Policies

  • This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

companyIdintegerRequired
The unique ID of the company.
batchIdlongRequired
The unique ID of the recommendation batch.

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Response

Success
batchIdlongOptional
The unique ID of the batch.
batchStatusstringOptional

The current processing status of the batch. Possible values: “Pending”, “Processing”, “Completed”, “Failed”, “Deleted”

valuelist of objectsOptional
The list of items with their tax code recommendations. This property is populated only when the batch status is "Completed".
messagestringOptional
An optional message providing additional information about the batch.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error